// DSAddIn.h : Header-Datei
//

#if !defined(AFX_DSADDIN_H__C9F3CDF2_4436_4FBE_B830_3265D8739188__INCLUDED_)
#define AFX_DSADDIN_H__C9F3CDF2_4436_4FBE_B830_3265D8739188__INCLUDED_

#include "commands.h"

// {AB615E66-9863-468C-9D4E-CDAB82E77645}
DEFINE_GUID(CLSID_DSAddIn,
0xab615e66, 0x9863, 0x468c, 0x9d, 0x4e, 0xcd, 0xab, 0x82, 0xe7, 0x76, 0x45);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "Mkdocwrt.DSAddIn.1",
		"MKDOCWRT Developer Studio Add-in", IDS_MKDOCWRT_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_DSADDIN_H__C9F3CDF2_4436_4FBE_B830_3265D8739188__INCLUDED)
